View a markdown version of this page

GetAvailableModuleVersion - AWS RTB Fabric

GetAvailableModuleVersion

Returns an ACTIVE or DEPRECATED version of a module that you can attach. If you can't attach the module, or the version is in another status, the operation returns ResourceNotFoundException, the same as for a missing one.

Request Syntax

GET /available-modules/moduleId/versions/version HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

moduleId

The module's ID.

Pattern: module-[a-zA-Z0-9]{1,25}

Required: Yes

version

The version.

Length Constraints: Minimum length of 0. Maximum length of 64.

Pattern: (0|[1-9]\d{0,9})\.(0|[1-9]\d{0,9})\.(0|[1-9]\d{0,9})

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "configurableActions": [ "string" ], "configurationSchema": "string", "createdAt": number, "moduleId": "string", "moduleVersionArn": "string", "permissions": [ "string" ], "releaseNotes": "string", "status": "string", "updatedAt": number, "version": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

configurableActions

The capabilities that you can turn on in selectedActions when you attach the version:

  • FILTER: the module can end a request with a no-bid response.

  • ENRICH_REQUEST_EXT: the module adds its data to the request's ext object.

  • ENRICH_REQUEST_HEADERS: the module adds a header to the request. Only the OpenRTB Attribute Module supports it.

  • OBSERVE: the module records its result without acting on the request.

You can't select both FILTER and OBSERVE.

Type: Array of strings

Array Members: Minimum number of 1 item. Maximum number of 16 items.

Valid Values: FILTER | ENRICH_REQUEST_EXT | ENRICH_REQUEST_HEADERS | OBSERVE

configurationSchema

The JSON Schema for the parameters that you can set in configurationValues when you attach the version.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 32768.

createdAt

The time when the version was created.

Type: Timestamp

moduleId

The module's ID.

Type: String

Pattern: module-[a-zA-Z0-9]{1,25}

moduleVersionArn

The version's ARN.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 1011.

Pattern: arn:aws[a-zA-Z-]*:rtbfabric:[a-z0-9-]+::modules/module-[a-zA-Z0-9]{1,25}/versions/(0|[1-9]\d{0,9})\.(0|[1-9]\d{0,9})\.(0|[1-9]\d{0,9})

permissions

The kinds of bid request access that the module version declares. These aren't IAM permissions, and selectedActions doesn't change them.

Type: Array of strings

Array Members: Minimum number of 1 item. Maximum number of 16 items.

Valid Values: READ_REQUEST_BODY | READ_REQUEST_HEADERS | MUTATE_REQUEST_BODY | ENRICH_REQUEST_HEADERS | ENRICH_REQUEST_EXT | FILTER

releaseNotes

The vendor's release notes.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 4096.

status

ACTIVE or DEPRECATED.

Type: String

Valid Values: CREATING | CREATE_FAILED | ACTIVE | DEPRECATED

updatedAt

The time when the version last changed.

Type: Timestamp

version

The version.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 64.

Pattern: (0|[1-9]\d{0,9})\.(0|[1-9]\d{0,9})\.(0|[1-9]\d{0,9})

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

The request could not be completed because you do not have sufficient access to perform this action.

HTTP Status Code: 403

InternalServerException

The request could not be completed because of an internal server error. Try your call again.

HTTP Status Code: 500

ResourceNotFoundException

The request could not be completed because the resource does not exist.

HTTP Status Code: 404

ThrottlingException

The request was denied due to request throttling.

HTTP Status Code: 429

ValidationException

The request could not be completed because it fails to satisfy the constraints specified by the service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: